ChangeSet 1.1342.8.61, 2003/09/30 15:08:02-07:00, joe@perches.com

[PATCH] USB: include/linux/usb.h

Reduce constant string space by reusing __FILE__


 include/linux/usb.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/include/linux/usb.h b/include/linux/usb.h
--- a/include/linux/usb.h	Fri Oct  3 16:44:44 2003
+++ b/include/linux/usb.h	Fri Oct  3 16:44:44 2003
@@ -1038,9 +1038,9 @@
 #define dbg(format, arg...) do {} while (0)
 #endif
 
-#define err(format, arg...) printk(KERN_ERR __FILE__ ": " format "\n" , ## arg)
-#define info(format, arg...) printk(KERN_INFO __FILE__ ": " format "\n" , ## arg)
-#define warn(format, arg...) printk(KERN_WARNING __FILE__ ": " format "\n" , ## arg)
+#define err(format, arg...) printk(KERN_ERR "%s: " format "\n" , __FILE__ , ## arg)
+#define info(format, arg...) printk(KERN_INFO "%s: " format "\n" , __FILE__ , ## arg)
+#define warn(format, arg...) printk(KERN_WARNING "%s: " format "\n" , __FILE__ , ## arg)
 
 
 #endif  /* __KERNEL__ */
